<?php
/**
 * Plugin Name: WYSIWYG Taxonomies
 * Plugin URI: https://www.mainstreethost.com
 * Description: Does just what it says, no more, no less - adds a WYSIWYG editor to all taxonomies on the site 
 * Author: m. tresch
 * Author URI: https://www.mainstreethost.com/
 * Version: 1.0
 *
 */


add_action('admin_enqueue_scripts','add_wysiwyg_to_taxonomies', 10,3 );

function add_wysiwyg_to_taxonomies() {
	$postargs = array(
	   'public'   => true
	);
	$output = 'names'; // names or objects, note names is the default
	$operator = 'and'; // 'and' or 'or'
	$post_types = get_post_types( $postargs, $output, $operator ); 
	foreach ( $post_types as $post_type ) {
		$taxonomy_objects = get_object_taxonomies( $post_type, 'names' );
		foreach($taxonomy_objects as $taxonomy_object) {	
			$list_tax = $taxonomy_object."_edit_form_fields";
			add_action("$list_tax", 'add_form_fields_example', 10, 2);
		}
	}
};
function add_form_fields_example($term, $taxonomy){
				?>
				<tr valign="top">
					<th scope="row">Description</th>
					<td>
						<?php wp_editor(html_entity_decode($term->description), 'description', array('media_buttons' => false)); ?>
						<script>
							jQuery(window).ready(function(){
								jQuery('label[for=description]').parent().parent().remove();
							});
						</script>
					</td>
				</tr>
				<?php
}; 